Page MenuHomePhabricator

alt+esc sometimes crash
Closed, ResolvedPublic

Description

I can't pinpoint what behaviour would cause this, because it happens quite randomly I found, well I havnt been able to find a thing I'm doing appart fron the fact I launch my applications with the alt+esc shortcut, sometimes, well most of the time it works, and somnetimes it crashes.

here is the file, I just hope I compiled correctly so that it's useful for you

โžœ  ~ cat .e-crashdump.txt

Thread 4 (Thread 0x7f752dba8700 (LWP 17080)):
#0  0x00007f753c7b0536 in futex_abstimed_wait_cancelable (private=0x0, abstime=0x0, expected=0x0, futex_word=0x560bdd7d0258) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
        __ret = 0xfffffffffffffe00
        oldtype = 0x0
        err = <optimized out>
#1  do_futex_wait (sem=sem@entry=0x560bdd7d0258, abstime=0x0) at sem_waitcommon.c:111
No locals.
#2  0x00007f753c7b05e4 in __new_sem_wait_slow (sem=0x560bdd7d0258, abstime=0x0) at sem_waitcommon.c:181
        _buffer = {
          __routine = 0x7f753c7b04f0 <__sem_wait_cleanup>,
          __arg = 0x560bdd7d0258,
          __canceltype = 0x454,
          __prev = 0x0
        }
        err = <optimized out>
        d = 0x0
#3  0x00007f753c7b0679 in __new_sem_wait (sem=sem@entry=0x560bdd7d0258) at sem_wait.c:29
No locals.
#4  0x00007f753ef6c8f8 in eina_semaphore_lock (sem=0x560bdd7d0258) at ../src/lib/eina/eina_inline_lock_posix.x:702
No locals.
#5  _eina_thread_queue_wait (thq=0x560bdd7d0230) at lib/eina/eina_thread_queue.c:204
No locals.
#6  eina_thread_queue_wait (thq=0x560bdd7d0230, allocref=allocref@entry=0x7f752db8f208) at lib/eina/eina_thread_queue.c:477
        msg = <optimized out>
        blk = 0x7f753ef6c7b6 <eina_thread_queue_send_done+38>
#7  0x00007f753ea0560f in _evas_common_scale_sample_thread (data=<optimized out>, t=<optimized out>) at lib/evas/common/evas_scale_sample.c:827
        ref = 0x560bde24a8e0
        msg = <optimized out>
        todo = 0x0
#8  0x00007f753ef6bc13 in _eina_internal_call (context=0x560bdd7cff00) at lib/eina/eina_thread.c:151
        __cancel_buf = {
          __cancel_jmp_buf = {{
              __cancel_jmp_buf = {0x0, 0xef30df33b1e6abc1, 0x0, 0x7ffc4c76b38f, 0x0, 0x7f753ff84040, 0x11da84425586abc1, 0x11daa2dec62cabc1},
              __mask_was_saved = 0x0
            }},
          __pad = {0x7f752db8f260, 0x0, 0x0, 0x0}
        }
        __not_first_call = <optimized out>
        __cancel_buf = {
          __cancel_jmp_buf = {{
              __cancel_jmp_buf = {0x0, 0xef30df33b1e6abc1, 0x0, 0x7ffc4c76b38f, 0x0, 0x7f753ff84040, 0x11da84425586abc1, 0x11daa2dec6feabc1},
              __mask_was_saved = 0x0
            }},
          __pad = {0x7f752db8f370, 0x0, 0x0, 0x0}
        }
        __cancel_arg = <optimized out>
        __not_first_call = <optimized out>
        c = <optimized out>
        r = <optimized out>
        self = 0x7f752dba8700
#9  0x00007f753c7a8424 in start_thread (arg=0x7f752dba8700) at pthread_create.c:333
        __res = <optimized out>
        pd = 0x7f752dba8700
        now = <optimized out>
        unwind_buf = {
          cancel_jmp_buf = {{
              jmp_buf = {0x7f752dba8700, 0xef30df33b1e6abc1, 0x0, 0x7ffc4c76b38f, 0x0, 0x7f753ff84040, 0x11da84425726abc1, 0x11daa7c6b63cabc1},
              mask_was_saved = 0x0
            }},
          priv = {
            pad = {0x0, 0x0, 0x0, 0x0},
            data = {
              prev = 0x0,
              cleanup = 0x0,
              canceltype = 0x0
            }
          }
        }
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#10 0x00007f753b54e9bf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105
No locals.

Thread 3 (Thread 0x7f752e9dd700 (LWP 17078)):
#0  0x00007f753b54efb3 in epoll_wait () at ../sysdeps/unix/syscall-template.S:84
No locals.
#1  0x00007f753e657d77 in _timer_tick_core (data=<optimized out>, thread=0x560bdd7b9350) at lib/ecore/ecore_anim.c:211
        pollfd = 0x1b
        timerfd = 0x1c
        pollev = {
          events = 0x1,
          data = {
            ptr = 0x22,
            fd = 0x22,
            u32 = 0x22,
            u64 = 0x22
          }
        }
        pollincoming = {{
            events = 0x1,
            data = {
              ptr = 0x22,
              fd = 0x22,
              u32 = 0x22,
              u64 = 0x22
            }
          }, {
            events = 0x1,
            data = {
              ptr = 0x22,
              fd = 0x22,
              u32 = 0x22,
              u64 = 0x22
            }
          }}
        timerfdbuf = 0x1
        i = <optimized out>
        t_ft = <optimized out>
        pframetime = 0.016666666666666666
        tspec_new = {
          it_interval = {
            tv_sec = 0x0,
            tv_nsec = 0xfe502a
          },
          it_value = {
            tv_sec = 0x0,
            tv_nsec = 0x58c3e7
          }
        }
        tspec_old = {
          it_interval = {
            tv_sec = 0x0,
            tv_nsec = 0x0
          },
          it_value = {
            tv_sec = 0x0,
            tv_nsec = 0x0
          }
        }
        rfds = {
          fds_bits = {0x0 <repeats 16 times>}
        }
        wfds = {
          fds_bits = {0x0 <repeats 16 times>}
        }
        exfds = {
          fds_bits = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7f753c7b31a7, 0x0, 0x0, 0x0, 0x0, 0x7f752e9c4170, 0x7f752e9dd700}
        }
        tv = {
          tv_sec = 0x0,
          tv_usec = 0x0
        }
        data_control = 0x0
        data_timeout = 0x0
        t = <optimized out>
        tick = 0x1
        t0 = 241131.46670736599
        d = 4.0699331487037416e-05
        ft = <optimized out>
        ret = <optimized out>
        __FUNCTION__ = "_timer_tick_core"
#2  0x00007f753e674c67 in _ecore_direct_worker (work=0x560bdd7b9350) at lib/ecore/ecore_thread.c:466
        __cancel_buf = {
          __cancel_jmp_buf = {{
              __cancel_jmp_buf = {0x560bdd7b9350, 0x11daa3fd29e6abc1, 0x0, 0x7ffc4c76c5ef, 0x560bdd7a00c0, 0x7f753ff84040, 0x11da820b32a6abc1, 0x11daa3fd2998abc1},
              __mask_was_saved = 0x0
            }},
          __pad = {0x7f752e9c42d0, 0x0, 0x7f753ef47547 <_eina_debug_thread_add+135>, 0x0}
        }
        __cancel_routine = 0x7f753e674cc0 <_ecore_direct_worker_cleanup>
        __cancel_arg = 0x560bdd7b9350
        __not_first_call = <optimized out>
#3  0x00007f753ef6bc13 in _eina_internal_call (context=0x560bdd7a00c0) at lib/eina/eina_thread.c:151
        __cancel_buf = {
          __cancel_jmp_buf = {{
              __cancel_jmp_buf = {0x0, 0xef30df33b1e6abc1, 0x0, 0x7ffc4c76c5ef, 0x0, 0x7f753ff84040, 0x11da820b3586abc1, 0x11daa2dec62cabc1},
              __mask_was_saved = 0x0
            }},
          __pad = {0x7f752e9c4260, 0x0, 0x0, 0x0}
        }
        __not_first_call = <optimized out>
        __cancel_buf = {
          __cancel_jmp_buf = {{
              __cancel_jmp_buf = {0x0, 0xef30df33b1e6abc1, 0x0, 0x7ffc4c76c5ef, 0x0, 0x7f753ff84040, 0x11da820b3586abc1, 0x11daa2dec6feabc1},
              __mask_was_saved = 0x0
            }},
          __pad = {0x7f752e9c4370, 0x0, 0x0, 0x0}
        }
        __cancel_arg = <optimized out>
        __not_first_call = <optimized out>
        c = <optimized out>
        r = <optimized out>
        self = 0x7f752e9dd700
#4  0x00007f753c7a8424 in start_thread (arg=0x7f752e9dd700) at pthread_create.c:333
        __res = <optimized out>
        pd = 0x7f752e9dd700
        now = <optimized out>
        unwind_buf = {
          cancel_jmp_buf = {{
              jmp_buf = {0x7f752e9dd700, 0xef30df33b1e6abc1, 0x0, 0x7ffc4c76c5ef, 0x0, 0x7f753ff84040, 0x11da820b3726abc1, 0x11daa7c6b63cabc1},
              mask_was_saved = 0x0
            }},
          priv = {
            pad = {0x0, 0x0, 0x0, 0x0},
            data = {
              prev = 0x0,
              cleanup = 0x0,
              canceltype = 0x0
            }
          }
        }
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#5  0x00007f753b54e9bf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105
No locals.

Thread 2 (Thread 0x7f752f7f8700 (LWP 17075)):
#0  __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
No locals.
#1  0x00007f753b4ddb50 in _int_free (av=0x7f753b7feb00 <main_arena>, p=0x560bde4619a0, have_lock=0x0) at malloc.c:3997
        size = 0x3fc0
        fb = <optimized out>
        nextchunk = <optimized out>
        nextsize = <optimized out>
        nextinuse = <optimized out>
        prevsize = <optimized out>
        bck = <optimized out>
        fwd = <optimized out>
        errstr = 0x0
        locked = 0x0
        __func__ = "_int_free"
#2  0x00007f753ef83fec in _eina_chained_mp_pool_free (p=0x560bde4619b0) at modules/eina/mp/chained_pool/eina_chained_mempool.c:168
No locals.
#3  _eina_chained_mempool_free_in (pool=0x560bdd7c76b0, p=0x560bde4619b0, ptr=<optimized out>) at modules/eina/mp/chained_pool/eina_chained_mempool.c:259
        ptr = <optimized out>
        p = 0x560bde4619b0
        pool = 0x560bdd7c76b0
#4  0x00007f753ef84090 in eina_chained_mempool_free (data=0x560bdd7c76b0, ptr=0x560bde461b20) at modules/eina/mp/chained_pool/eina_chained_mempool.c:360
        pool = 0x560bdd7c76b0
        p = <optimized out>
#5  0x00007f753ea0fa9e in evas_thread_worker_func (data=<optimized out>, thread=<optimized out>) at lib/evas/common/evas_thread_render.c:127
        cmd = 0x560bde053120
        len = <optimized out>
        max = <optimized out>
        __FUNCTION__ = "evas_thread_worker_func"
        __PRETTY_FUNCTION__ = "evas_thread_worker_func"
#6  0x00007f753ef6bc13 in _eina_internal_call (context=0x560bdd69e500) at lib/eina/eina_thread.c:151
        __cancel_buf = {
          __cancel_jmp_buf = {{
              __cancel_jmp_buf = {0x0, 0xef30df33b1e6abc1, 0x0, 0x7ffc4c76c6ef, 0x0, 0x7f753ff84040, 0x11da81c85586abc1, 0x11daa2dec62cabc1},
              __mask_was_saved = 0x0
            }},
          __pad = {0x7f752f7df260, 0x0, 0x0, 0x0}
        }
        __not_first_call = <optimized out>
        __cancel_buf = {
          __cancel_jmp_buf = {{
              __cancel_jmp_buf = {0x0, 0xef30df33b1e6abc1, 0x0, 0x7ffc4c76c6ef, 0x0, 0x7f753ff84040, 0x11da81c85586abc1, 0x11daa2dec6feabc1},
              __mask_was_saved = 0x0
            }},
          __pad = {0x7f752f7df370, 0x0, 0x0, 0x0}
        }
        __cancel_arg = <optimized out>
        __not_first_call = <optimized out>
        c = <optimized out>
        r = <optimized out>
        self = 0x7f752f7f8700
#7  0x00007f753c7a8424 in start_thread (arg=0x7f752f7f8700) at pthread_create.c:333
        __res = <optimized out>
        pd = 0x7f752f7f8700
        now = <optimized out>
        unwind_buf = {
          cancel_jmp_buf = {{
              jmp_buf = {0x7f752f7f8700, 0xef30df33b1e6abc1, 0x0, 0x7ffc4c76c6ef, 0x0, 0x7f753ff84040, 0x11da81c85726abc1, 0x11daa7c6b63cabc1},
              mask_was_saved = 0x0
            }},
          priv = {
            pad = {0x0, 0x0, 0x0, 0x0},
            data = {
              prev = 0x0,
              cleanup = 0x0,
              canceltype = 0x0
            }
          }
        }
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#8  0x00007f753b54e9bf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105
No locals.

Thread 1 (Thread 0x7f753fe79300 (LWP 17073)):
#0  0x00007f753c7b189d in pause () at ../sysdeps/unix/syscall-template.S:84
No locals.
#1  0x0000560bdcd2e759 in e_alert_show () at src/bin/e_alert.c:43
No locals.
#2  0x0000560bdccf716c in _e_crash () at src/bin/e_signals.c:117
No locals.
#3  0x0000560bdccf71f5 in e_sigabrt_act (x=<optimized out>, info=<optimized out>, data=<optimized out>) at src/bin/e_signals.c:163
No locals.
#4  <signal handler called>
No locals.
#5  __GI_raise (sig=sig@entry=0x6) at ../sysdeps/unix/sysv/linux/raise.c:58
        set = {
          __val = {0x0, 0x6362696c2f534547, 0x353766370a6f6d2e, 0x3030306435666633, 0x666633353766372d, 0x2d72203030306136, 0x303030303020732d, 0x303a383020303030, 0x3031363330312036, 0x2020202020203835, 0x2020202020202020, 0x6f682f2020202020, 0x6f73746f6c2f656d, 0x2f656863
61632e2f, 0x6d2f746565726665, 0x686361635f656d69}
        }
        pid = <optimized out>
        tid = <optimized out>
#6  0x00007f753b49a40a in __GI_abort () at abort.c:89
        save_stage = 0x2
        act = {
          __sigaction_handler = {
            sa_handler = 0x756e696c2d34365f,
            sa_sigaction = 0x756e696c2d34365f
          },
          sa_mask = {
            __val = {0x646c2f756e672d78, 0x6f732e34322e322d, 0x666633353766370a, 0x66372d3030303438, 0x3035386666333537, 0x20702d7772203030, 0x3030303432303030, 0x312031303a383020, 0x2020303436323835, 0x2020202020202020, 0x2020202020202020, 0x782f62696c2f2020, 0x696c2d34365
f3638, 0x2f756e672d78756e, 0x2e34322e322d646c, 0x7ffc4c76c250}
          },
          sa_flags = 0x62,
          sa_restorer = 0x7ffc4c76c250
        }
        sigs = {
          __val = {0x20, 0x0 <repeats 15 times>}
        }
#7  0x00007f753b4d6bd0 in __libc_message (do_abort=do_abort@entry=0x2, fmt=fmt@entry=0x7f753b5cbc30 "*** Error in `%s': %s: 0x%s ***\n") at ../sysdeps/posix/libc_fatal.c:175
        ap = {{
            gp_offset = 0x28,
            fp_offset = 0x752,
            overflow_arg_area = 0x7ffc4c76c260,
            reg_save_area = 0x7ffc4c76c1f0
          }}
        fd = 0x2
        on_2 = <optimized out>
        list = <optimized out>
        nlist = <optimized out>
        cp = <optimized out>
        written = <optimized out>
#8  0x00007f753b4dcf96 in malloc_printerr (action=0x3, str=0x7f753b5c877e "corrupted double-linked list", ptr=<optimized out>, ar_ptr=<optimized out>) at malloc.c:5046
        buf = "0000560bddfdd5d0"
        cp = <optimized out>
        ar_ptr = <optimized out>
        ptr = <optimized out>
        str = 0x7f753b5c877e "corrupted double-linked list"
        action = 0x3
#9  0x00007f753b4df510 in _int_malloc (av=av@entry=0x7f753b7feb00 <main_arena>, bytes=bytes@entry=0x230) at malloc.c:3762
        p = 0x560bddfdd5d0
        iters = <optimized out>
        nb = 0x240
        idx = <optimized out>
        bin = <optimized out>
        victim = 0x560bddfdd5d0
        size = 0x300
        victim_index = <optimized out>
        remainder = <optimized out>
        remainder_size = 0xc0
        block = <optimized out>
        bit = <optimized out>
        map = <optimized out>
        fwd = 0x7f753b7fee48 <main_arena+840>
        bck = <optimized out>
        errstr = 0x0
        __func__ = "_int_malloc"
#10 0x00007f753b4e199b in __libc_calloc (n=<optimized out>, elem_size=<optimized out>) at malloc.c:3271
        av = 0x7f753b7feb00 <main_arena>
        oldtop = 0x560bde6019f0
        p = <optimized out>
        bytes = 0x230
        sz = 0x230
        csz = <optimized out>
        oldtopsize = 0x202610
        mem = <optimized out>
        clearsize = <optimized out>
        nclears = <optimized out>
        d = <optimized out>
        hook = <optimized out>
        __func__ = "__libc_calloc"
#11 0x00007f753e9fb350 in _evas_common_rgba_image_new () at lib/evas/common/evas_image_main.c:504
        im = <optimized out>
#12 0x00007f753e995133 in _evas_cache_image_entry_new (cache=cache@entry=0x560bdd7cff20, hkey=hkey@entry=0x0, tstamp=tstamp@entry=0x0, f=f@entry=0x0, file=file@entry=0x0, key=key@entry=0x0, lo=0x0, error=0x7ffc4c76c3fc) at lib/evas/cache/evas_cache_image.c:256
        ie = <optimized out>
#13 0x00007f753e9960e4 in evas_cache_image_data (cache=0x560bdd7cff20, w=w@entry=0x18, h=h@entry=0x8, image_data=image_data@entry=0x7f752f828000, alpha=alpha@entry=0x0, cspace=cspace@entry=EFL_GFX_COLORSPACE_ARGB8888) at lib/evas/cache/evas_cache_image.c:1177
        err = 0x300
        im = <optimized out>
#14 0x00007f752ddbf05b in evas_software_xlib_outbuf_new_region_for_update (buf=0x560bdd7d1010, x=<optimized out>, y=<optimized out>, w=0x18, h=0x8, cx=0x7ffc4c76c620, cy=0x7ffc4c76c624, cw=0x7ffc4c76c628, ch=0x7ffc4c76c62c) at modules/evas/engines/software_x11/evas_xlib_out
buf.c:644
        im = <optimized out>
        obr = 0x560bddfe4ac0
        bpl = 0x60
        use_shm = 0x1
        alpha = <optimized out>
#15 0x00007f753ea3c529 in eng_output_redraws_next_update_get (data=0x560bdd7d0f30, x=0x7ffc4c76c610, y=0x7ffc4c76c614, w=0x7ffc4c76c618, h=0x7ffc4c76c61c, cx=0x7ffc4c76c620, cy=0x7ffc4c76c624, cw=0x7ffc4c76c628, ch=0x7ffc4c76c62c) at modules/evas/engines/software_generic/ev
as_engine.c:4247
        re = 0x560bdd7d0f30
        surface = <optimized out>
        rect = <optimized out>
#16 0x00007f753e978102 in evas_render_updates_internal (eo_e=eo_e@entry=0x40000001185ef9bd, make_updates=make_updates@entry=0x1, do_draw=do_draw@entry=0x1, done_func=done_func@entry=0x7f753e971600 <evas_render_pipe_wakeup>, done_data=done_data@entry=0x560bdd7cd860, do_async
=do_async@entry=0x1) at lib/evas/canvas/evas_render.c:3151
        surface = <optimized out>
        uy = 0x188
        cw = 0x18
        cx = 0x0
        ch = 0x8
        j = <optimized out>
        uw = 0x18
        cy = 0x0
        fx = 0x0
        ru = <optimized out>
        ux = 0x2d8
        uh = 0x8
        offset = 0x3
        fy = 0x0
        haveup = 0x1
        eo_obj = <optimized out>
        obj = <optimized out>
        evas = 0x560bdd7cd860
        e = 0x560bdd7cd860
        ll = <optimized out>
        clean_them = 0x0
        rendering = 0x0
        alpha = <optimized out>
        r = <optimized out>
        i = <optimized out>
        p1ctx = {
          e = 0x560bdd7cd860,
          active_objects = 0x560bdd7cd980,
          render_objects = 0x560bdd7cd9c8,
          snapshot_objects = 0x560bdd7cda48,
          restack_objects = 0x560bdd7cd9a8,
          delete_objects = 0x560bdd7cd960,
          redraw_all = 0x0
        }
        redraw_all = <optimized out>
        render_mode = EVAS_RENDER_MODE_ASYNC_INIT
        __FUNCTION__ = "evas_render_updates_internal"
        prepare = 0x1
#17 0x00007f753e979d6b in _evas_canvas_render_async (eo_e=0x40000001185ef9bd, e=0x560bdd7cd860) at lib/evas/canvas/evas_render.c:3591
        ret = <optimized out>
#18 0x00007f753e90132e in evas_canvas_render_async (obj=0x40000001185ef9bd) at ../src/lib/evas/canvas/evas_canvas.eo.c:172
        _r = <optimized out>
        ___cache = {
          index = {{
              klass = 0x560bdd7ca1b0
            }},
          entry = {{
              func = 0x560bdd7cb770
            }},
          off = {{
              off = 0x90
            }},
          op = 0x1a4,
          generation = 0x1
        }
        ___call = {
          eo_id = 0x40000001185ef9bd,
          obj = 0x560bdd7cd7d0,
          func = 0x7f753e979cb0 <_evas_canvas_render_async>,
          data = 0x560bdd7cd860,
          extn1 = 0x7f753e88cf70 <_EFL_LOOP_EVENT_IDLE_ENTER>,
          extn2 = 0x560bdd7c7c90,
          extn3 = 0x0,
          extn4 = 0x7f753f64b369 <_elm_win_pre_render+9>
        }
        _func_ = <optimized out>
#19 0x00007f753e905d45 in evas_render_async (obj=<optimized out>) at ../src/lib/evas/canvas/evas_canvas.eo.c:737
No locals.
#20 0x00007f752dfd088e in _ecore_evas_x_render (ee=0x560bdd7c7c90) at modules/ecore_evas/engines/x/ecore_evas_x.c:818
        rend = <optimized out>
        ll = <optimized out>
        ee2 = <optimized out>
        edata = <optimized out>
        render2 = 0x0
#21 0x00007f753e42ff38 in _ecore_evas_idle_enter (data=<optimized out>) at lib/ecore_evas/ecore_evas.c:223
        change = 0x0
        ee = 0x560bdd7c7c90
        t1 = <optimized out>
        t2 = 0
        rend = 0x1
        now = <optimized out>
        __FUNCTION__ = "_ecore_evas_idle_enter"
#22 0x00007f753e65dc9f in _ecore_call_task_cb (data=<optimized out>, func=<optimized out>) at lib/ecore/ecore_private.h:283
No locals.
#23 _ecore_factorized_idle_process (data=0x560bdd60fcc0, event=<optimized out>) at lib/ecore/ecore_idler.c:35
        idler = 0x560bdd60fcc0
#24 0x00007f753daf645b in _event_callback_call (legacy_compare=0x0, event_info=<optimized out>, desc=0x7f753e88cf70 <_EFL_LOOP_EVENT_IDLE_ENTER>, pd=0x560bdd609870, obj_id=<optimized out>) at lib/eo/eo_base_class.c:1422
        it = 0x7f753e88f9b0 <internal+16>
        ev = {
          object = 0x40000000045ef978,
          desc = 0x7f753e88cf70 <_EFL_LOOP_EVENT_IDLE_ENTER>,
          info = 0x0
        }
        ret = 0x1
        frame = {
          next = 0x0,
          idx = 0x2,
          inserted_before = 0x0,
          generation = 0x1
        }
        cb = <optimized out>
        lookup = 0x7ffc4c76c820
        saved = {
          __in_list = {
            next = 0x0,
            prev = 0x0,
            last = 0x7ffc4c76c820
          },
          desc = 0x7f753e88cf70 <_EFL_LOOP_EVENT_IDLE_ENTER>,
          current = 0x1
        }
        idx = 0x2
        callback_already_stopped = 0x0
#25 _efl_object_event_callback_call (obj_id=<optimized out>, pd=0x560bdd609870, desc=0x7f753e88cf70 <_EFL_LOOP_EVENT_IDLE_ENTER>, event_info=<optimized out>) at lib/eo/eo_base_class.c:1506
No locals.
#26 0x00007f753daf3194 in efl_event_callback_call (obj=0x40000000045ef978, desc=0x7f753e88cf70 <_EFL_LOOP_EVENT_IDLE_ENTER>, event_info=event_info@entry=0x0) at lib/eo/efl_object.eo.c:142
        _r = <optimized out>
        ___cache = {
          index = {{
              klass = 0x560bdd608c40
            }},
          entry = {{
              func = 0x560bdd608d90
            }},
          off = {{
              off = 0x50
            }},
          op = 0x20,
          generation = 0x1
        }
        ___call = {
          eo_id = 0x40000000045ef978,
          obj = 0x560bdd609820,
          func = 0x7f753daf6310 <_efl_object_event_callback_call>,
          data = 0x560bdd609870,
          extn1 = 0x0,
          extn2 = 0x410d6f5a22222222,
          extn3 = 0x0,
          extn4 = 0x0
        }
        _func_ = <optimized out>
#27 0x00007f753e65db6e in _ecore_idle_enterer_call (loop=<optimized out>) at lib/ecore/ecore_idle_enterer.c:48
No locals.
#28 0x00007f753e660904 in _ecore_main_loop_iterate_internal (once_only=once_only@entry=0x0) at lib/ecore/ecore_main.c:2296
        next_time = -1
        f = <optimized out>
        p = <optimized out>
#29 0x00007f753e660f27 in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1292
No locals.
#30 0x0000560bdcc2e926 in main (argc=argc@entry=0x1, argv=argv@entry=0x7ffc4c7c1848) at src/bin/e_main.c:1093
        safe_mode = <optimized out>
        after_restart = <optimized out>
        waslocked = <optimized out>
        strshare = <optimized out>
        t = <optimized out>
        tstart = <optimized out>
        s = <optimized out>
        buff = "1487793459.7\000\000\000\000\001\000\000\000\000\000\000\000-\367\322\334\vV\000"
        action = {
          __sigaction_handler = {
            sa_handler = 0x560bdccf71ec <e_sigabrt_act>,
            sa_sigaction = 0x560bdccf71ec <e_sigabrt_act>
          },
          sa_mask = {
            __val = {0x0 <repeats 16 times>}
          },
          sa_flags = 0xc0000004,
          sa_restorer = 0xffff0000000000
        }
        __FUNCTION__ = "main"
#31 0x00007f753b4862b1 in __libc_start_main (main=0x560bdcc28a72 <main>, argc=0x1, argv=0x7ffc4c7c1848, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffc4c7c1838) at ../csu/libc-start.c:291
        result = <optimized out>
        unwind_buf = {
          cancel_jmp_buf = {{
              jmp_buf = {0x0, 0x432766965c26abc1, 0x560bdcc28530, 0x7ffc4c7c1840, 0x0, 0x0, 0x10c847cb9f06abc1, 0x11daa9a37534abc1},
              mask_was_saved = 0x0
            }},
          priv = {
            pad = {0x0, 0x0, 0x7ffc4c7c1858, 0x7f753ff85168},
            data = {
              prev = 0x0,
              cleanup = 0x0,
              canceltype = 0x4c7c1858
            }
          }
        }
        not_first_call = <optimized out>
#32 0x0000560bdcc2855a in _start ()
No symbol table info available.
โžœ  ~
zmike added a project: efl.Aug 22 2017, 3:43 PM
bu5hm4n triaged this task as Normal priority.Jun 11 2018, 2:02 AM
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:58 AM
q66 edited projects, added efl; removed Restricted Project.Jun 11 2018, 8:02 AM
netstar claimed this task.Jun 14 2018, 5:57 AM
netstar added a subscriber: netstar.

Hi @benoit.barthelet

Can you describe what operating system you are using and also which version of EFL?

I know of one issue that was causing this which should now be fixed in latest git.

Would you be able to report on this?

netstar edited projects, added efl (efl-1.21); removed efl.Jun 14 2018, 5:58 AM
netstar added a subscriber: zmike.Jun 21 2018, 1:20 AM

I've just seen this too...

Blasting alt+esc (LOTS) Seems to be from within e_comp_object?

I know an issue before was caused by an EFL error, but that's fixed.

@zmike should move this from EFL to E???

zmike added a comment.Jun 21 2018, 6:05 AM

Backtrace?

netstar@workstation [/usr/home/netstar] $ cat /src/efl/gdb.txt
#0  0x00000008045d6afa in _sigsuspend () from /lib/libc.so.7
#1  0x00000008048b64f9 in pthread_sigmask () from /lib/libthr.so.3
#2  0x000000080455adf5 in pause () from /lib/libc.so.7
#3  0x00000000005f5b77 in e_alert_show () at ../src/bin/e_alert.c:43
#4  0x0000000000599cf2 in _e_crash () at ../src/bin/e_signals.c:81
#5  0x0000000000599da8 in e_sigabrt_act (x=6, info=0x7ffffffc53b0, data=0x7ffffffc5040) at ../src/bin/e_signals.c:127
#6  0x00000008048b6954 in pthread_sigmask () from /lib/libthr.so.3
#7  0x00000008048b5eb2 in pthread_getspecific () from /lib/libthr.so.3
#8  <signal handler called>
#9  0x00000008045b647a in thr_kill () from /lib/libc.so.7
#10 0x00000008045b6444 in raise () from /lib/libc.so.7
#11 0x00000008045b63b9 in abort () from /lib/libc.so.7
#12 0x0000000800ecb959 in eina_log_print (domain=28, level=EINA_LOG_LEVEL_CRITICAL, file=0x5fbf60 "../src/bin/e_comp_object.c",
    fnc=0x5fc410 "e_comp_object_render_update_add", line=3834, fmt=0x5fc430 "CAN'T RENDER A DELETED CLIENT!") at eina_log.c:2233
#13 0x0000000800ecb438 in eina_log_domain_registered_level_get (domain=0) at eina_log.c:2018
#14 0x0000000000488c85 in e_comp_object_render_update_add (obj=0x4000004e6028) at ../src/bin/e_comp_object.c:3834
#15 0x0000000000492f51 in _e_comp_object_done_defer (data=0x8269a37c0, obj=0x4000005a5033, emission=0x8211f05bc "e,action,show,done", source=0x800f29b6a "e")
    at ../src/bin/e_comp_object.c:832
#16 0x0000000803e1bf57 in edje_match_callback_exec_check_finals (ssp=0x814b18650, matches=0x814b3c310, signal_states=0x8273f9f00, source_states=0x815072e58,
    sig=0x8211f05bc "e,action,show,done", source=0x800f29b6a "e", ed=0x80f2a7e50, prop=0 '\0') at edje_match.c:556
#17 0x0000000803e1bc5a in edje_match_callback_exec (ssp=0x814b18650, matches=0x814b3c310, sig=0x8211f05bc "e,action,show,done", source=0x800f29b6a "e",
    ed=0x80f2a7e50, prop=0 '\0') at edje_match.c:714
#18 0x0000000803e25e1e in _edje_emit_cb (ed=0x80f2a7e50, sig=0x8211f05bc "e,action,show,done", src=0x800f29b6a "e", data=0x0, prop=0 '\0')
    at edje_program.c:1647
#19 0x0000000803e25b29 in _edje_emit_handle (ed=0x80f2a7e50, sig=0x8211f05bc "e,action,show,done", src=0x800f29b6a "e", sdata=0x0, prop=0 '\0')
    at edje_program.c:1569
#20 0x0000000803e1eb19 in _edje_message_process (em=0x8269e3dc0) at edje_message_queue.c:786
#21 0x0000000803e1ef89 in _edje_message_queue_process () at edje_message_queue.c:883
#22 0x0000000803e1f5a4 in _edje_job (data=0x0) at edje_message_queue.c:256
#23 0x00000008013a570d in ecore_idler_del () from /opt/lib/libecore.so.1
#24 0x00000008183ce040 in ?? ()
#25 0x00000008183ce040 in ?? ()
#26 0x0000000efffc5ddc in ?? ()
#27 0x0000000000000000 in ?? ()
The program is running.  Quit anyway (and detach it)? (y or n) Detaching from program: /opt/bin/enlightenment, process 738
netstar@workstation

You have to really try really hard to make this happen.

Please test the attached patch.

zmike lowered the priority of this task from Normal to Pending on user input.

@zmike Just tested that thoroughly. Can't seem to trigger the crash after this patch.

Hopefully this is the same bug as reported, but regardless it does fix one issue! :)